Subject: Re: [PATCHv2] IPv4 TCP fails to send window scale option when window scale is zero

From: Gilad Ben-Yossef <[email-masked]>
Date: Thu, 01 Oct 2009 18:12:28 +0200

Eric Dumazet wrote:

> Gilad Ben-Yossef a écrit :
>   
>> From: Ori Finkelman <[email-masked]>
>>
>> diff --git a/net/ipv4/tcp_output.c b/net/ipv4/tcp_output.c
>> index 5200aab..fcd278a 100644
>> --- a/net/ipv4/tcp_output.c
>> +++ b/net/ipv4/tcp_output.c
>> @@ -361,6 +361,7 @@ static inline int tcp_urg_mode(const struct tcp_sock
>> *tp)
>> #define OPTION_SACK_ADVERTISE  (1 << 0)
>> #define OPTION_TS              (1 << 1)
>> #define OPTION_MD5             (1 << 2)
>> +#define OPTION_WSCALE          (1 << 3)
>>     
>
> I manually applied your patch and tested it.
>
> So far so good, it works well.
>   

Glad to hear. Thank you both Eric and Ilpo for the review.
> But you'll need to find correct way to submit a patch so that your mailer doesnt
> mangle the content.
>
> File Documentation/email-clients.txt contains useful tips.
>
>
>   
Arrggghh... I thought I have subdued Thunderbird but it tricked me. My 
prefs.js got re-written somehow. My sincere apologies. This is not my 
week with MUA.

I also noticed I put the signed-off-by in the wrong place...

Next email is version 3 - same content, hopefully correct formatting.

Thanks again.
Gilad

-- 
Gilad Ben-Yossef
Chief Coffee Drinker & CTO
Codefidence Ltd.

Web:   http://codefidence.com
Cell:  +972-52-8260388
Skype: gilad_codefidence
Tel:   +972-8-9316883 ext. 201
Fax:   +972-8-9316884
Email: [email-masked]

Check out our Open Source technology and training blog - http://tuxology.net

	"Now the world has gone to bed
	 Darkness won't engulf my head
	 I can see by infra-red
	 How I hate the night."